aboutsummaryrefslogtreecommitdiff
path: root/robot/cram-run.sh
diff options
context:
space:
mode:
authorPhillip Lord <phillip.lord@russet.org.uk>2020-04-12 18:11:20 +0000
committerPhillip Lord <phillip.lord@russet.org.uk>2020-04-12 18:11:20 +0000
commitb05f06a4b15bffffdcaeb1a30482afd94c12746a (patch)
tree691f7c78eb21906a03bdc3896c4bc719930d7a3f /robot/cram-run.sh
parent0c89f344ce019e03df278578414617b74034031b (diff)
parentec2c168797380c7e41c13a9260c79139bed3300c (diff)
downloadorg-drill-b05f06a4b15bffffdcaeb1a30482afd94c12746a.tar.gz
org-drill-b05f06a4b15bffffdcaeb1a30482afd94c12746a.zip
Merge branch 'branweb/fix-cram-mode' into 'master'
Allow Creating New Session in Cram Mode See merge request phillord/org-drill!9
Diffstat (limited to 'robot/cram-run.sh')
-rwxr-xr-xrobot/cram-run.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/robot/cram-run.sh b/robot/cram-run.sh
new file mode 100755
index 0000000..a4d6ec9
--- /dev/null
+++ b/robot/cram-run.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+
+set -e
+
+this_dir="$(dirname "$0")"
+source ${this_dir}/robot.sh
+
+card_no=3
+
+# cram mode doesn't modify the buffer so there is no save prompt
+function run_drill_no_save {
+ sleep_small
+
+ for i in `seq 1 ${card_no}`;
+ do
+ echo Answer: "$i"
+ send_answer
+ done
+
+ echo press any key to continue
+ retn
+}
+
+function run_drill {
+ run_drill_no_save
+ echo Save file
+ key y
+}
+
+
+launch_emacs ${this_dir}/cram-run.el
+
+{
+ find_bot
+ run_drill
+ retn
+ run_drill_no_save
+ wait_emacs
+} || cat robot/failure.txt